Last Comment Bug 793617 - implement mask-type property from CSS Masking
: implement mask-type property from CSS Masking
Status: RESOLVED FIXED
: dev-doc-complete
Product: Core
Classification: Components
Component: SVG (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla20
Assigned To: Cameron McCormack (:heycam) (away Jun 25 – Jul 10)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-24 01:16 PDT by Cameron McCormack (:heycam) (away Jun 25 – Jul 10)
Modified: 2013-08-05 04:41 PDT (History)
6 users (show)
Ms2ger: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
WIP (v0.1) (18.10 KB, patch)
2012-09-24 01:16 PDT, Cameron McCormack (:heycam) (away Jun 25 – Jul 10)
dbaron: feedback+
Details | Diff | Review
patch (24.08 KB, patch)
2012-11-06 16:06 PST, Cameron McCormack (:heycam) (away Jun 25 – Jul 10)
dbaron: review+
longsonr: review+
Details | Diff | Review

Description Cameron McCormack (:heycam) (away Jun 25 – Jul 10) 2012-09-24 01:16:55 PDT
Created attachment 663963 [details] [diff] [review]
WIP (v0.1)

The initially proposed maskType="" attribute on <mask> morphed into a mask-type property that applies to <mask> elements last week during the SVG WG's F2F.  A WebKit implementation landed later that week (perhaps a record time between spec change and implementation appearing?): http://trac.webkit.org/changeset/129018

Attached is a WIP implementation.

David, can you give some guidance on what we should be doing here with prefixes?
Comment 1 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-10-17 11:10:05 PDT
Comment on attachment 663963 [details] [diff] [review]
WIP (v0.1)

I think we should not prefix.  If WebKit-based browsers are shipping this, then it's fine for us to ship it too; if not, we probably want to put it behind a pref if the spec isn't stable yet.
Comment 2 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-10-17 11:10:53 PDT
And you need to add to property_database.js and then make sure the layout/style mochitests pass.
Comment 3 Cameron McCormack (:heycam) (away Jun 25 – Jul 10) 2012-11-06 16:06:07 PST
Created attachment 678965 [details] [diff] [review]
patch

r?longsonr for {content,layout}/svg/ changes, r?dbaron for the rest.  I've used layout.css.masking.enabled as the pref to put this behind, with the expectation that other things we implement from the CSS Masking specification go behind that pref too.
Comment 4 Robert Longson 2012-11-06 23:42:06 PST
Comment on attachment 678965 [details] [diff] [review]
patch

I'd like to see a SMIL animation reftest too.
Comment 5 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2012-11-21 15:16:34 PST
Comment on attachment 678965 [details] [diff] [review]
patch

r=dbaron on the parts requested
Comment 6 JP Rosevear [:jpr] 2012-12-20 05:26:04 PST
Is there any reason not to land this?
Comment 7 Cameron McCormack (:heycam) (away Jun 25 – Jul 10) 2012-12-20 15:22:00 PST
We just this morning had a telcon where we resolved some concerns about the naming of this property.  So I will be landing it today.
Comment 8 Cameron McCormack (:heycam) (away Jun 25 – Jul 10) 2012-12-20 16:15:52 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/e043d5feb0b6
Comment 10 Jean-Yves Perrier [:teoli] 2013-08-05 04:41:06 PDT
Documentation done:
https://developer.mozilla.org/en-US/docs/Web/CSS/mask-type (with live sample)
and
https://developer.mozilla.org/en-US/docs/Mozilla/Firefox/Releases/20

Note You need to log in before you can comment on or make changes to this bug.